﻿@media (max-width: 991px) {

    .dropdown.dropdown-hover:hover > .dropdown-menu.vt-dropdown {
        opacity: 1;
        pointer-events: auto;
        visibility: visible;
        transform: perspective(999px) rotateX(0deg) translateZ(0) translate3d(0, 37px, 0px) !important;
        transition: none !important;
        min-width: 15rem;
        max-width: 90vw;
        height: auto;
        padding: 15px !important;
        right: 0 !important;
    }


    .dropdown-menu.vt-dropdown.dropdown-menu-animation {
        right: 0 !important;
        min-width: 15rem;
        max-width: 90vw;
    }
}

.overflow-unset {
    overflow-x: unset !important;
    overflow-y: unset !important;
}

@media (min-width: 992px) {

    .dropdown.dropdown-hover:hover > .dropdown-menu.vt-dropdown {
        min-width: 15rem;
        max-width: 90vw;
    }


    .dropdown-menu.vt-dropdown.dropdown-menu-animation {
        min-width: 15rem;
        max-width: 90vw;
    }
}


@media only screen and (max-width:767px) {

    table: not(.vt_table_notrps) .buttonGrid {
        /*  float: right;*/
        padding: 0em 0.5em;
    }


    .table.vt-table:not(.vt_table_notrps) td, .table:not(.vt_table_notrps) th {
        border: none !important;
        padding: 0.2rem 0rem !important;
    }




    .table.vt-table:not(.vt_table_notrps) tr {
        border-bottom-width: 1px !important;
        border-bottom-style: solid !important;
        display: block;
        padding: 0.5rem 0.5rem !important;
    }


    .vt-table:not(.vt_table_notrps) tbody .vt-number-order {
        text-align: left !important;
        display: flex !important;
        padding: 0.5rem 0rem !important;
    }


    table:not(.vt_table_notrps) thead th:before,
    table:not(.vt_table_notrps) tbody td:before {
        content: attr(data-table-thead);
        float: left;
        font-weight: 600;
        /* text-transform: uppercase;*/
        font-size: var(--fontsize--table--head);
        /*width: 30%;*/
        text-align: left;
        padding-right: 0.3rem;
    }


    .table.vt-table:not(.vt_table_notrps) tr > td,
    .table.vt-table:not(.vt_table_notrps) tr > td * {
        text-align: left !important;
        /*  display: inline;*/
    }

        .table.vt-table:not(.vt_table_notrps) tr > td .buttonGrid {
            padding: 0px 7px;
        }



    table:not(.vt_table_notrps) tbody td:after {
        display: block;
        clear: both;
        content: "";
    }


    table:not(.vt_table_notrps) tbody td > .td-content {
        margin-left: 30%;
        display: block;
    }


    table:not(.vt_table_notrps) tr {
        border-bottom: 6px solid #e3e3e3;
    }


    .ui.table:not(.unstackable):not(.vt_table_notrps) tr > td img {
        margin: auto;
    }


    .ui.table:not(.unstackable):not(.vt_table_notrps) tr {
        padding-top: 0 !important;
        padding-bottom: 0 !important;
    }


        .ui.table:not(.unstackable):not(.vt_table_notrps) tr:last-child {
            padding-bottom: 0 !important;
        }


    .ui.left.corner.label {
        right: 0 !important;
        left: unset !important;
    }


        .ui.left.corner.label .icon {
            right: -11px !important;
            left: unset !important;
            top: 14px !important;
        }


        .ui.left.corner.label:after {
            border-top: 0 solid transparent;
            border-right: 0em solid #FF9800;
            border-left: 0 solid transparent;
            right: 0;
            left: unset;
        }


    .ui.menu #menuMobileCategory .item > img:not(.ui) {
        margin-right: 5px !important;
    }
}


@media (min-width: 777px) {

    .resblock .navbar-toggler {
        display: none !important;
    }


    .resblock .collapse:not(.show) {
        display: none;
    }
}

/*Sample size*/
p {
    font-size: 0.875rem !important;
    line-height: 1.5 !important;
}


#MainRenderBody .text-sm {
    font-size: 0.875rem !important;
}


#MainRenderBody .form-check-label {
    font-size: 0.875rem !important;
}


#MainRenderBody p, #MainRenderBody .p {
    font-size: 0.875rem !important;
}


.nav.nav-pills.nav-horizontal {
    flex-wrap: nowrap;
    scroll-snap-type: x mandatory;
    -webkit-overflow-scrolling: touch;
    overflow: auto;
    padding-top: 10px;
    padding-bottom: 20px;
    scroll-padding: 0.5em;
}


    .nav.nav-pills.nav-horizontal > .nav-item {
        scroll-snap-align: start;
    }


        .nav.nav-pills.nav-horizontal > .nav-item:first-child {
            margin-left: 0.5em;
        }


        .nav.nav-pills.nav-horizontal > .nav-item .nav-item-text {
            white-space: nowrap;
        }


ul.nav-pills.nav-horizontal .nav-item a.nav-link {
    border: 1px solid #dddddd99;
    transition: 0.3s all;
}


    ul.nav-pills.nav-horizontal .nav-item a.nav-link.active {
        border-color: rgb(var(--bs-primary));
        color: rgb(var(--bs-primary));
        box-shadow: 0px 1px 8px -2px rgb(var(--bs-primary)) !important;
    }


@media only screen and (max-width: 769px) {

    .nav.nav-pills.nav-horizontal {
        flex-direction: row !important;
    }


        .nav.nav-pills.nav-horizontal > .nav-item {
            max-width: 70vw;
        }
}


@media only screen and (min-width: 768px) {

    .nav-wrapper {
        --min-height: unset;
        --max-height: unset;
        --overflow-x: unset;
        --overflow-y: unset;
        --overflow: unset;
        min-height: var(--min-height);
        max-height: var(--max-height);
        overflow: var(--overflow);
        overflow-x: var(--overflow-x);
        overflow-y: var(--overflow-y);
    }
}


@media only screen and (max-width: 767px) {


    .nav-wrapper {
        width: 100%;
        position: relative;
        min-height: 50px;
    }


    .nav.nav-menus {
        display: block;
    }


        .nav.nav-menus > li.nav-item {
            margin-right: 0;
        }

        .nav.nav-menus.nav-menus-vertical > li hr {
            display: none;
        }

        .nav.nav-menus.nav-menus-vertical > hr {
            display: none;
        }


        .nav.nav-menus:not(.nav-mobile-toggle) > li.nav-item > a:not(.active) {
            opacity: 0;
            display: none;
        }


        .nav.nav-menus > li.nav-item > a {
            padding: 0.75em 1em !important;
            /*border-bottom: 1em;*/
        }


        .nav.nav-menus.nav-mobile-toggle {
            position: static;
            /*position: absolute;*/
            width: 100%;
            left: 0;
            top: 0;
            background-color: #f8f9fa !important;
            border-radius: 1rem;
            z-index: 10;
            max-height: 50vh;
            overflow: auto;
            box-shadow: 0px 1px 20px 3px rgb(0 0 0 / 29%);
            padding: 10px 5px;
        }

            .nav.nav-menus.nav-mobile-toggle > li.nav-item {
                position: relative;
                margin-top: 1px;
                padding: 2px 5px;
            }


                .nav.nav-menus.nav-mobile-toggle > li.nav-item .horizontal {
                    display: none !important;
                }

    .nav-menus-horizontal > li.nav-item .horizontal {
        display: none !important;
    }

    .nav.nav-menus.nav-mobile-toggle > li.nav-item:not(:last-child):before {
        content: '';
        position: absolute;
        top: 100%;
        left: 50%;
        transform: translateX(-50%);
        width: 90%;
        height: 1px;
        background: #bababc3d;
    }
}



/*#region condition */

@media (max-width: 900px) {


    .vtcardheader .center {
        flex: 1 0 auto;
        width: auto;
    }

    .vtcardheader .left {
        flex: 0 0 auto;
        width: auto;
    }

    .vtcardheader .right {
        margin-left: auto !important;
        margin-top: 5px;
        padding-bottom: 5px;
        margin-bottom: auto !important;
        display: flex;
        gap: 5px;
        /*overflow-x: auto;*/
    }


    .vtcardheader .toggle {
        position: relative;
    }

        button[data-bs-toggle="collapse"] + .collapse:not(#TTnavigation).show,
        .vtcardheader .toggle .collapse:not(#TTnavigation).show {
            width: 100%;
            left: 0px !important;
        }


    .vtcardheader button, .vtcardheader .input-group, .vtcardheader .form-check, .action_Save-Content button {
        flex-wrap: nowrap;
        white-space: nowrap;
    }

    .vtcardheader .wrap {
        display: block;
        overflow: hidden;
    }

    .vtcardheader .wrapblock {
        margin-bottom: 5px;
        padding-bottom: 5px;
    }

    .action_Save .action_Save-Content {
        display: flex;
        gap: 5px;
        overflow-x: auto;
    }
}


@media (min-width: 901px) {

    .vtcardheader {
        display: flex;
        align-items: center !important;
    }


        .vtcardheader .right {
            margin-left: auto !important;
            /*  margin-top: auto !important;*/
            display: flex;
            gap: 5px;
            align-items: center;
        }

        .vtcardheader .center {
            flex: 1 0 auto;
            width: auto;
        }

        .vtcardheader .left {
            flex: 0 0 auto;
            width: auto;
        }


        .vtcardheader .toggle {
            position: relative;
        }


    .vtcondition .sign {
        display: none !important;
    }


    .vtcondition .fulllap {
        display: block !important;
    }


    .vtcardheader .wrap {
        margin-left: auto !important;
        display: flex;
        gap: 5px;
        overflow-x: auto;
        align-items: center;
    }

    .vtcardheader .form-check, .vtcardheader .input-group {
        flex-wrap: nowrap;
    }
}


.vtcardheader .wrapblock {
    margin-left: auto !important;
    display: flex;
    gap: 5px;
    overflow-x: auto;
    align-items: center;
}

.vtcondition .sign[aria-expanded="false"]:before {
    content: attr(data-open);
}


.vtcondition .sign[aria-expanded="true"]:before {
    content: attr(data-close);
}


button[data-bs-toggle="collapse"] + .collapse:not(#TTnavigation).show,
.vtcardheader .toggle .collapse:not(#TTnavigation).show {
    max-height: 500px;
    overflow: auto;
    box-shadow: 0 20px 27px 0 rgb(0 0 0 / 29%);
    border-radius: 8px;
}




.collapse.show ul {
    margin-bottom: 0;
}


.vtcardheader .toggle .collapsing, div.position-relative .collapsing {
    display: none !important;
    transition: none !important;
}
